Subject: Re: [PATCH iproute2] ss: Tell user about -EOPNOTSUPP for SOCK_DESTROY

From: [email-masked]
Date: Tue, 17 May 2016 12:35:53 -0600

On 2016-05-16 20:29, Lorenzo Colitti wrote:
> On Tue, May 17, 2016 at 11:24 AM, David Ahern <[email-masked]> 
> wrote:
>> As I mentioned we can print the unsupported once or per socket matched 
>> and
>> with the socket params. e.g.,
>> 
>> +               } else if (errno == EOPNOTSUPP) {
>> +                       printf("Operation not supported for:\n");
>> +                       inet_show_sock(h, diag_arg->f, 
>> diag_arg->protocol);
>> 
>> Actively suppressing all error messages is just wrong. I get the 
>> flooding
>> issue so I'm fine with just printing it once.
> 
> I disagree, but then I'm the one who wrote it in the first place, so
> you wouldn't expect me to agree. :-) Let's see what Stephen says.

Hi Lorenzo

Would it be acceptable to have a separate column which displays the 
result of the sock destroy operation per socket.
State    ... Killed
ESTAB         Y
TIME_WAIT     N

If it is not supported from kernel, maybe print U (unsupported) for 
this.